Subject: bug#8284: closed (Re: bug#8284: 24.0.50; M-q badly bound in diff-mode)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 18 Mar 2011 19:54:01 +0000

Your bug report

#8284: 24.0.50; M-q badly bound in diff-mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8284: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8284
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#8284: 24.0.50; M-q badly bound in diff-mode
From: Stefan Monnier <[email-masked]>
To: Julien Danjou <[email-masked]>
Cc: [email-masked]
Date: Fri, 18 Mar 2011 15:52:54 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

> q binding.  I think the patch below does it.

It appears to fix it, indeed.  Installed,

        Stefan

Subject: 24.0.50; M-q badly bound in diff-mode
From: Julien Danjou <[email-masked]>
To: [email-masked]
Date: Fri, 18 Mar 2011 15:18:01 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi there,

The `diff-mode' keymap `diff-mode-shared-map' inherit from
`special-mode-map' which defines M-q as `quit-window'.

This is *very* annoying when editing diff file build with
git-format-patch. I sometimes add some text/comments in it, and press
M-q to run `fill-paragraph'. But this calls `quit-window' and pisses me
off.

I don't know what is the best way to fix this, therefore I'm not
including any patch in this report, but would do it if possible. :-)

-- 
Julien Danjou
❱ http://julien.danjou.info